@inherits Umbraco.Cms.Web.Common.Views.UmbracoViewPage<Umbraco.Cms.Core.Models.Blocks.BlockListItem>;
@using ContentModels = Umbraco.Cms.Web.Common.PublishedModels;
@{
    var content = (ContentModels.ImageLinkBlock)Model.Content;
    //var settings = (ContentModels.MyElementTypeAliasOfSettings)Model.Settings;
}

<a href="@content.Link" class="product-grid__item"
    style="background-image: url('@content.Image')">
    <div class="product-grid__item__overlay">
        <div class="product-grid__item__name">
            <h3>@content.Header</h3>
        </div>
        <p>@content.Description</p>
    </div>
</a>
